## org.apache.batik.swing.gvt
Class AbstractZoomInteractor.ZoomOverlay

    java.lang.Object
      org.apache.batik.swing.gvt.AbstractZoomInteractor.ZoomOverlay

All Implemented Interfaces:
  Overlay

Enclosing class:
  AbstractZoomInteractor

protected class AbstractZoomInteractor.ZoomOverlay
extends java.lang.Object
implements Overlay

To paint the interactor.

Constructor Summary
`protected` `AbstractZoomInteractor.ZoomOverlay()`

Method Summary
`void` `paint(java.awt.Graphics g)` Paints this overlay.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractZoomInteractor.ZoomOverlay

    protected AbstractZoomInteractor.ZoomOverlay()

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Paints this overlay.

  Specified by:
    `paint` in interface `Overlay`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.